package com.iva.apps.webviewapp;

import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.view.Menu;
import android.view.Window;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.Toast;

public class VideoActivity extends Activity {

	@SuppressLint("JavascriptInterface") @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        getWindow().requestFeature(Window.FEATURE_ACTION_BAR);
        getActionBar().hide();
        this.setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);

        setContentView(R.layout.activity_video);
        Intent intent = new Intent(this, MainActivity.class);

        WebView webview;

        webview = (WebView)this.findViewById(R.id.webView);
        webview.setWebChromeClient(new WebChromeClient() {
        });

        WebSettings webSettings = webview.getSettings();
        webSettings.setJavaScriptEnabled(true);
        webview.getSettings().setJavaScriptEnabled(true);
        webview.addJavascriptInterface(new JavaScriptInterface(this, intent), "jsInterface");

        webview.loadUrl(videoURL(99961, 69249, 650, "Android-Player"));
    }

    public String videoURL(int p_id, int c_id, int player_id, String sub) {
        return "file:///android_asset/player.html?publishedid=" + p_id + "&customerid=" + c_id + "&playerid=" + player_id + "&reporttag=" + sub;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.video, menu);
        return true;
    }

    public class JavaScriptInterface {
        Context mContext;
        Intent i;

        /** Instantiate the interface and set the context */
        JavaScriptInterface(Context c, Intent _i) {
            mContext = c;
            i = _i;
        }

        /** Show a toast from the web page */
        public void showToast(String toast) {
            Toast.makeText(mContext, toast, Toast.LENGTH_SHORT).show();
        }

        public void goToMain() {
            startActivity(i);
        }
    }

}
